Package ru.bitel.bgbilling.kernel.integration.common.bean

# Class RegisterItem

java.lang.Object
ru.bitel.bgbilling.kernel.integration.common.bean.RegisterItem

    public class RegisterItem
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RegisterItem()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getBalanceItemComment()` |
  `int` | `getBalanceItemId()` |
  `int` | `getBalanceItemTypeId()` |
  `int` | `getContractId()` |
  `java.util.Date` | `getDate()` |
  `int` | `getId()` |
  `int` | `getRegisterId()` |
  `java.math.BigDecimal` | `getSumma()` |
  `java.lang.String` | `getUniqueId()` |
  `void` | `setBalanceItemComment​(java.lang.String balanceItemComment)` |
  `void` | `setBalanceItemId​(int balanceItemId)` |
  `void` | `setBalanceItemTypeId​(int balanceItemTypeId)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setId​(int id)` |
  `void` | `setRegisterId​(int registerId)` |
  `void` | `setSumma​(java.math.BigDecimal summa)` |
  `void` | `setUniqueId​(java.lang.String uniqueId)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterItem

    public RegisterItem()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getRegisterId

    public int getRegisterId()

  - ### setRegisterId

    public void setRegisterId​(int registerId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getSumma

    public java.math.BigDecimal getSumma()

  - ### setSumma

    public void setSumma​(java.math.BigDecimal summa)

  - ### getBalanceItemId

    public int getBalanceItemId()

  - ### setBalanceItemId

    public void setBalanceItemId​(int balanceItemId)

  - ### getBalanceItemComment

    public java.lang.String getBalanceItemComment()

  - ### setBalanceItemComment

    public void setBalanceItemComment​(java.lang.String balanceItemComment)

  - ### getDate

    public java.util.Date getDate()

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### getUniqueId

    public java.lang.String getUniqueId()

  - ### setUniqueId

    public void setUniqueId​(java.lang.String uniqueId)

  - ### getBalanceItemTypeId

    public int getBalanceItemTypeId()

  - ### setBalanceItemTypeId

    public void setBalanceItemTypeId​(int balanceItemTypeId)